Subject: FVWM: ColormapFocus bug?

From: "J. de Jongh" <[email-masked]>
Date: Wed, 2 Oct 1996 17:58:00 +0100 (MET)

Hi everyone,

I just subscribed to this list, so I don't know if this is
or has been a thread already...

I'm running fvwm-2.0.42 on NetBSD-1.1 (i386) and XFree86-3.1.2.
While hacking my ~/.fvwm2rc, I discovered that fvwm2 is pretty picky
about how the ColormapFocus is to be set. It turned out that
either exactly ONE space or exactly ONE tab must be used between
ColormapFocus and FollowsFocus or FollowsMouse. Otherwise, the code
in fvwm/builtins.c (procedure SetColormapFocus) doesn't find
either keyword. I'll dive into the code once I know this really
is a bug, and hasn't been fixed in the meantime.
This version of fvwm compiled right out of the box here, with
only four warnings about uncast pointer-integer assigments
in modules/FvwmForm/FvwmForm.c (all 'GetFontOrFixed' calls).

Great window manager, by the way; must be running it for over
2 years now.

Regards,
Jan
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: "Charles Hines" <[email-masked]>
Date: Wed, 2 Oct 1996 14:27:03 -0400

>>>>> "J" == J de Jongh <[email-masked]> writes:

J> Hi everyone,

Hello.

J> I just subscribed to this list, so I don't know if this is
J> or has been a thread already...

You can always check the mailing list archives if you are wondering
anything like that.  There is a nice search engine off of the official
homepage (http://www.hpc.uh.edu/fvwm/).

J> I'm running fvwm-2.0.42 on NetBSD-1.1 (i386) and XFree86-3.1.2.
J> While hacking my ~/.fvwm2rc, I discovered that fvwm2 is pretty picky
J> about how the ColormapFocus is to be set. It turned out that
J> either exactly ONE space or exactly ONE tab must be used between
J> ColormapFocus and FollowsFocus or FollowsMouse. Otherwise, the code
J> in fvwm/builtins.c (procedure SetColormapFocus) doesn't find
J> either keyword. I'll dive into the code once I know this really
J> is a bug, and hasn't been fixed in the meantime.

It's a bug.  I forgot to strip leading whitespace out of there.  It
should be fixed in the next beta (2.0.44), along with other fixes to
the parsing code.

J> This version of fvwm compiled right out of the box here, with
J> only four warnings about uncast pointer-integer assigments
J> in modules/FvwmForm/FvwmForm.c (all 'GetFontOrFixed' calls).

J> Great window manager, by the way; must be running it for over
J> 2 years now.

Glad to hear it.

Chuck

---

From: [email-masked] (Albrecht Kadlec)
Date: Mon, 14 Oct 96 18:59:50 +0200

>>>>> J de Jongh writes:

it's the parsing code just skipping one character (any !!!)
and not using GetNextToken. (thus only one space is killed)

albrecht
-- 
When we play tennis or walk downstairs we are actually solving whole
pages of differential equations, quickly, easily and without thinking
about it, using the analogue computer which we keep in our minds. What
we find difficult about mathematics is the formal, symbolic presentation
of the subject by pedagogues with a taste for dogma, sadism and
incomprehensible squiggles.

          From _Structures: Why Things Don't Fall Down_, by J. E. Gordon